Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class ForEachNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.StateBasedNode
                  org.jbpm.workflow.core.node.CompositeNode
                      org.jbpm.workflow.core.node.CompositeContextNode
                          org.jbpm.workflow.core.node.ForEachNode

All Implemented Interfaces:
  Serializable, Contextable, ContextContainer, ContextResolver, EventNodeInterface, Node, NodeContainer

    public class ForEachNode

extends CompositeContextNode

A for each node. This node activates the contained subflow for each element of a collection. The node continues if all activated the subflow has been completed for each of the elements in the collection.

See Also:
  Serialized Form

Nested Class Summary
`class` | `ForEachNode.ForEachJoinNode`
`class` | `ForEachNode.ForEachSplitNode`

Nested classes/interfaces inherited from class org.jbpm.workflow.core.node.CompositeNode
`CompositeNode.CompositeNodeEnd, CompositeNode.CompositeNodeStart, CompositeNode.NodeAndType`

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`ForEachNode()`

Method Summary
`void` | `addContext(Context context)`
`void` | `addNode(Node node)` Method for adding a node to this node container.
`String` | `getCollectionExpression()`
`CompositeContextNode` | `getCompositeNode()`
`Context` | `getContext(String contextType)`
`Context` | `getContext(String contextType, long id)`
`List<Context>` | `getContexts(String contextType)`
`ForEachNode.ForEachJoinNode` | `getForEachJoinNode()`
`ForEachNode.ForEachSplitNode` | `getForEachSplitNode()`
`CompositeNode.NodeAndType` | `getLinkedIncomingNode(String inType)`
`CompositeNode.NodeAndType` | `getLinkedOutgoingNode(String inType)`
`Node` | `getNode(long id)` The node in this NodeContainer with the given id.
`Node[]` | `getNodes()` The Nodes of this NodeContainer.
`String` | `getOutputCollectionExpression()`
`String` | `getOutputVariableName()`
`org.drools.core.process.core.datatype.DataType` | `getOutputVariableType()`
`String` | `getVariableName()`
`org.drools.core.process.core.datatype.DataType` | `getVariableType()`
`protected void` | `internalAddNode(Node node)`
`CompositeNode.NodeAndType` | `internalGetLinkedIncomingNode(String inType)`
`CompositeNode.NodeAndType` | `internalGetLinkedOutgoingNode(String inType)`
`Node` | `internalGetNode(long id)`
`Node[]` | `internalGetNodes()`
`protected void` | `internalRemoveNode(Node node)`
`boolean` | `isWaitForCompletion()`
`void` | `linkIncomingConnections(String inType, long inNodeId, String inNodeType)`
`void` | `linkOutgoingConnections(long outNodeId, String outNodeType, String outType)`
`void` | `removeNode(Node node)` Method for removing a node from this node container
`void` | `setCollectionExpression(String collectionExpression)`
`void` | `setDefaultContext(Context context)`
`void` | `setOutputCollectionExpression(String collectionExpression)`
`void` | `setOutputVariable(String variableName, org.drools.core.process.core.datatype.DataType type)`
`void` | `setVariable(String variableName, org.drools.core.process.core.datatype.DataType type)`
`void` | `setWaitForCompletion(boolean waitForCompletion)`

Methods inherited from class org.jbpm.workflow.core.node.CompositeContextNode
`getDefaultContext, resolveContext`

Methods inherited from class org.jbpm.workflow.core.node.CompositeNode
`acceptsEvent, addIncomingConnection, addOutgoingConnection, getLinkedIncomingNodes, getLinkedOutgoingNodes, isCancelRemainingInstances, linkIncomingConnections, linkOutgoingConnections, removeIncomingConnection, removeOutgoingConnection, setCancelRemainingInstances, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode
`addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, getConstraint, getConstraints, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForEachNode

    public ForEachNode()

Method Detail

### getVariableName

    public String getVariableName()

### getVariableType

    public org.drools.core.process.core.datatype.DataType getVariableType()

### getOutputVariableName

    public String getOutputVariableName()

### getOutputVariableType

    public org.drools.core.process.core.datatype.DataType getOutputVariableType()

### getCompositeNode

    public CompositeContextNode getCompositeNode()

### getForEachSplitNode

    public ForEachNode.ForEachSplitNode getForEachSplitNode()

### getForEachJoinNode

    public ForEachNode.ForEachJoinNode getForEachJoinNode()

### addNode

    public void addNode(Node node)

  Description copied from interface: `NodeContainer`
  Method for adding a node to this node container. Note that the node will get an id unique for this node container.

  Overrides:
    `addNode` in class `CompositeNode`
  Parameters:
    `node` - the node to be added

### internalAddNode

    protected void internalAddNode(Node node)

  Overrides:
    `internalAddNode` in class `CompositeNode`

### getNode

    public Node getNode(long id)

  Description copied from interface: `NodeContainer`
  The node in this NodeContainer with the given id.

  Specified by:
    `getNode` in interface `NodeContainer`
  Overrides:
    `getNode` in class `CompositeNode`
  Returns:
    the node with the given id

### internalGetNode

    public Node internalGetNode(long id)

  Overrides:
    `internalGetNode` in class `CompositeNode`

### getNodes

    public Node[] getNodes()

  Description copied from interface: `NodeContainer`
  The Nodes of this NodeContainer.

  Specified by:
    `getNodes` in interface `NodeContainer`
  Overrides:
    `getNodes` in class `CompositeNode`
  Returns:
    the nodes

### internalGetNodes

    public Node[] internalGetNodes()

  Overrides:
    `internalGetNodes` in class `CompositeNode`

### removeNode

    public void removeNode(Node node)

  Description copied from interface: `NodeContainer`
  Method for removing a node from this node container

  Overrides:
    `removeNode` in class `CompositeNode`
  Parameters:
    `node` - the node to be removed

### internalRemoveNode

    protected void internalRemoveNode(Node node)

  Overrides:
    `internalRemoveNode` in class `CompositeNode`

### linkIncomingConnections

    public void linkIncomingConnections(String inType,
                                        long inNodeId,
                                        String inNodeType)

  Overrides:
    `linkIncomingConnections` in class `CompositeNode`

### linkOutgoingConnections

    public void linkOutgoingConnections(long outNodeId,
                                        String outNodeType,
                                        String outType)

  Overrides:
    `linkOutgoingConnections` in class `CompositeNode`

### getLinkedIncomingNode

    public CompositeNode.NodeAndType getLinkedIncomingNode(String inType)

  Overrides:
    `getLinkedIncomingNode` in class `CompositeNode`

### internalGetLinkedIncomingNode

    public CompositeNode.NodeAndType internalGetLinkedIncomingNode(String inType)

  Overrides:
    `internalGetLinkedIncomingNode` in class `CompositeNode`

### getLinkedOutgoingNode

    public CompositeNode.NodeAndType getLinkedOutgoingNode(String inType)

  Overrides:
    `getLinkedOutgoingNode` in class `CompositeNode`

### internalGetLinkedOutgoingNode

    public CompositeNode.NodeAndType internalGetLinkedOutgoingNode(String inType)

  Overrides:
    `internalGetLinkedOutgoingNode` in class `CompositeNode`

### setVariable

    public void setVariable(String variableName,
                            org.drools.core.process.core.datatype.DataType type)

### setOutputVariable

    public void setOutputVariable(String variableName,
                                  org.drools.core.process.core.datatype.DataType type)

### getCollectionExpression

    public String getCollectionExpression()

### setCollectionExpression

    public void setCollectionExpression(String collectionExpression)

### getOutputCollectionExpression

    public String getOutputCollectionExpression()

### setOutputCollectionExpression

    public void setOutputCollectionExpression(String collectionExpression)

### isWaitForCompletion

    public boolean isWaitForCompletion()

### setWaitForCompletion

    public void setWaitForCompletion(boolean waitForCompletion)

### getContext

    public Context getContext(String contextType)

  Specified by:
    `getContext` in interface `Contextable`
  Overrides:
    `getContext` in class `NodeImpl`

### addContext

    public void addContext(Context context)

  Specified by:
    `addContext` in interface `ContextContainer`
  Overrides:
    `addContext` in class `CompositeContextNode`

### setDefaultContext

    public void setDefaultContext(Context context)

  Specified by:
    `setDefaultContext` in interface `ContextContainer`
  Overrides:
    `setDefaultContext` in class `CompositeContextNode`

### getContexts

    public List<Context> getContexts(String contextType)

  Specified by:
    `getContexts` in interface `ContextContainer`
  Overrides:
    `getContexts` in class `CompositeContextNode`

### getContext

    public Context getContext(String contextType,
                              long id)

  Specified by:
    `getContext` in interface `ContextContainer`
  Overrides:
    `getContext` in class `CompositeContextNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.